## libwebapp-ruby 0.0.20061228

=== sample/Makefile ===
RUBY=ruby

SRC_CGI = $(wildcard *.cgi)
DST_CGI = $(patsubst %.cgi,cgi-bin/%.cgi,$(SRC_CGI))

all: $(DST_CGI)

cgi-bin:
	mkdir cgi-bin

$(DST_CGI): cgistub.erb cgi-bin
	$(RUBY) -rerb -e 'ERB.new(STDIN.read).run' $(patsubst cgi-bin/%.cgi,%.cgi,$@) < cgistub.erb > $@
	chmod 755 $@

## libwebapp-ruby 0.4

=== Makefile ===
RUBY=ruby
RD2HTML=rd2 -r rd/rd2html-lib.rb

all: README.html doc/index.html

README.html: README.rd
	$(RD2HTML) --html-title='webapp - easy-to-use CGI/FastCGI/mod_ruby interface' -o README README.rd

check test:
	$(RUBY) -I. test-all.rb

install:
	$(RUBY) install.rb

.PHONY: check test all install

RB = webapp.rb $(wildcard webapp/*.rb) 
doc/index.html: $(RB)
	rm -rf doc
	rdoc $(RB)

=== debian/changelog ===
libwebapp-ruby (0.4-3) unstable; urgency=low

  * debian/copyright: Update with deb5 format.
  * debian/control (Section): It's now ruby.
    (Homepage): Update.
    (Build-Depends): Require libhtree-ruby1.8, debhelper >= 9.
    [libhtree-ruby1.9.1]: New package for ruby 1.9.1.
  * debian/compat: Require 9.
  * debian/source/format: New.
  * debian/patches/01-makefile.diff: New.
  * debian/rules: Re-write for newer debhelper.
  * Incorporate NMU.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 10 Jul 2013 08:13:24 +0000

libwebapp-ruby (0.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update Debian changes to upstream Makefile to force building with ruby1.8
    now that ruby1.9.1 is default - fixes FTBFS (Closes: #676092)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 09 Jul 2012 23:20:01 -0400

libwebapp-ruby (0.4-2) unstable; urgency=low

  * debian/control (Build-Depends): Added ruby (Closes: #462507).
  Thanks to Lucas Nussbaum.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 25 Jan 2008 21:01:30 +0900

libwebapp-ruby (0.4-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: New URL, which works (Closes: #450193).
  * debian/control (Homepage): New field.
  (Standards-Version): It now follows 3.7.3.
  * debian/rules: Don't ignore $(MAKE) clean.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 15 Jan 2008 20:52:02 +0900

libwebapp-ruby (0.0.20061228-1) unstable; urgency=low

  * Initial release (Closes: #404782).

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 28 Dec 2006 22:26:38 +0900

=== debian/control ===
Source: libwebapp-ruby
Priority: optional
Maintainer: NIIBE Yutaka <gniibe@fsij.org>
Build-Depends: debhelper (>= 9), ruby1.8 (>= 1.8.2), rdoc, rdtool, ruby, libhtree-ruby1.8
Standards-Version: 3.9.4
Section: ruby
Homepage: http://www.a-k-r.org/webapp/

Package: libwebapp-ruby1.8
Architecture: all
Depends: ${misc:Depends}, ruby1.8
Description: easy-to-use CGI/FastCGI/mod_ruby/WEBrick interface (ruby 1.8)
 Webapp is a library to ease web application development in Ruby.
 It has very easy-to-use API, and you can debug web application
 as usual command (CLI).  Features include:
  path_info aware relative URI generation
  automatic Content-Type generation
  HTML form parameter validation by HTML form

Package: libwebapp-ruby1.9.1
Architecture: all
Depends: ${misc:Depends}, ruby
Description: easy-to-use CGI/FastCGI/mod_ruby/WEBrick interface
 Webapp is a library to ease web application development in Ruby.
 It has very easy-to-use API, and you can debug web application
 as usual command (CLI).  Features include:
  path_info aware relative URI generation
  automatic Content-Type generation
  HTML form parameter validation by HTML form

=== debian/watch ===
version=3
http://www.a-k-r.org/webapp/webapp-(.*)\.tar\.gz
